cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Kinsella (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CLOUDSTACK-6156) Retired maven repo breaking awsapi build and RPM packaging
Date Fri, 21 Feb 2014 23:21:19 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-6156?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

John Kinsella updated CLOUDSTACK-6156:
--------------------------------------

    Description: 
The awsapi sub-project depends on several jars from Apache Axis-Rampart. 

The Rampart poms have a broken maven repo hard-coded into them:

<url>http://shibboleth.internet2.edu/downloads/maven2/</url>

Which does not return a 404 when maven attempts to fetch a jar, but HTTP 200. *golf clap*

Rampart is aware of this (see RAMPART-393) but the fix won't be released until version 1.7,
whenever that is.

CLOUDSTACK-744 shows we hit this before for opensaml, although I'm not sure when the rampart
jars started erroring out.

>From my research so far, looks like rampart isn't being used and the rampart dependencies
can be removed from the pom...

Steps to reproduce (On a clean system with no cached maven repo, and not using a maven repo
mirror):
mvn -P awsapi

Expected results:
Happily built awsapi package

Actual results:
...
Downloaded: http://repo.maven.apache.org/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
(3 KB at 116.1 KB/sec)
Downloading: http://shibboleth.internet2.edu/downloads/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
Feb 21, 2014 12:18:31 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
...
[WARNING] Invalid POM for org.apache.rampart:rampart-policy:jar:1.5.1, transitive dependencies
(if any) will not be available, enable debug logging for more details
etc, etc

  was:
The awsapi sub-project depends on several jars from Apache Axis-Rampart. 

The Rampart poms have a broken maven repo hard-coded into them:

<url>http://shibboleth.internet2.edu/downloads/maven2/</url>

Which does not return a 404 when maven attempts to fetch a jar, but HTTP 200. *golf clap*

Rampart is aware of this (see RAMPART-393) but the fix won't be released until version 1.7,
whenever that is.

CLOUDSTACK-744 shows we hit this before for opensaml, although I'm not sure when the rampart
jars started erroring out.

>From my research so far, looks like rampart isn't being used and the rampart dependencies
can be removed from the pom...

Steps to reproduce:
mvn -P awsapi

Expected results:
Happily built awsapi package

Actual results:
...
Downloaded: http://repo.maven.apache.org/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
(3 KB at 116.1 KB/sec)
Downloading: http://shibboleth.internet2.edu/downloads/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
Feb 21, 2014 12:18:31 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
...
[WARNING] Invalid POM for org.apache.rampart:rampart-policy:jar:1.5.1, transitive dependencies
(if any) will not be available, enable debug logging for more details
etc, etc


> Retired maven repo breaking awsapi build and RPM packaging
> ----------------------------------------------------------
>
>                 Key: CLOUDSTACK-6156
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-6156
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: AWSAPI
>    Affects Versions: 4.2.0, 4.3.0
>            Reporter: John Kinsella
>            Assignee: John Kinsella
>            Priority: Critical
>
> The awsapi sub-project depends on several jars from Apache Axis-Rampart. 
> The Rampart poms have a broken maven repo hard-coded into them:
> <url>http://shibboleth.internet2.edu/downloads/maven2/</url>
> Which does not return a 404 when maven attempts to fetch a jar, but HTTP 200. *golf clap*
> Rampart is aware of this (see RAMPART-393) but the fix won't be released until version
1.7, whenever that is.
> CLOUDSTACK-744 shows we hit this before for opensaml, although I'm not sure when the
rampart jars started erroring out.
> From my research so far, looks like rampart isn't being used and the rampart dependencies
can be removed from the pom...
> Steps to reproduce (On a clean system with no cached maven repo, and not using a maven
repo mirror):
> mvn -P awsapi
> Expected results:
> Happily built awsapi package
> Actual results:
> ...
> Downloaded: http://repo.maven.apache.org/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
(3 KB at 116.1 KB/sec)
> Downloading: http://shibboleth.internet2.edu/downloads/maven2/org/apache/rampart/rampart-policy/1.5.1/rampart-policy-1.5.1.pom
> Feb 21, 2014 12:18:31 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
> WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
> Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
> WARNING: Invalid cookie header: "Set-Cookie:  django_language=en-us; expires=time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0);
Max-Age=31536000; Path=/". Unable to parse expires attribute: time.struct_time(tm_year=2015,
tm_mon=2, tm_mday=21, tm_hour=15, tm_min=18, tm_sec=33, tm_wday=5, tm_yday=52, tm_isdst=0)
> Feb 21, 2014 12:18:32 PM org.apache.maven.wagon.providers.http.httpclient.client.protocol.ResponseProcessCookies
processCookies
> ...
> [WARNING] Invalid POM for org.apache.rampart:rampart-policy:jar:1.5.1, transitive dependencies
(if any) will not be available, enable debug logging for more details
> etc, etc



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message